package org.expeditee.gui;

import java.awt.Color;

public class ColorUtils {

	public static Color getNextColor(Color color, Color[] wheel) {
		// search through the colour wheel to find the next colour
		int pos = -1;
		for (int i = 0; i < wheel.length; i++)
			if (color == null || color.equals(wheel[i])) {
				pos = i;
				break;
			}
		// if we didnt find the color on the wheel
		if (pos < 0) {
			return null;
		} else {
			pos++;
			pos = pos % wheel.length;
			color = wheel[pos];
		}

		return color;
	}
}
